Part Design

From Wikicatia,the free encyclopedia
Jump to: navigation, search

Contents

Prerequisites

Catia environment

Sketcher

Introduction

Part Design is one of the workbenches of Mechanical Design collection. In Part Design, users can create 3D models from 2D sketches. They can add features to the model as well, they can make 3D solid models from surfaces. A 3D model created with Part Design, might be used in many other Catia applications, like Assembly Design, Functional Tolerancing & Annotation and so on. A 3D Catia model is parametric and it can be changed and updated easily by changing the parameters used to create the basic sketches and in the functions. Those are available from specification tree or by simply clicking on elements in the graphic zone. The features or functions used to create a model are kept in the tree in a hierarchical way. One can just look at the tree to understand how the model was built.

Open Part Design workbench

You can open this workbench from:

Start > Mechanical Design > Part Design

PD 02.jpg

or from Standard toolbar, click New or File > New

Depending on CATSettings (Options > Infrastructure > Part Infrastracture > Part Document), a dialog might be appeared as below. It is a good practice to give the name of the part here, instead of leave it with the name given by Catia.

PD03.jpg

If “Enable hybrid design” is checked, all solid and wireframe or surface elements are saved under bodies, otherwise, solid elements are saved under bodies whereas wireframe or surface elements under geometrical sets.


“Create a geometrical set”, if checked, creates a geometrical set right after opening a new part. “Create an ordered geometrical set” keeps the track of all modifications done on wireframe or surface elements. Here after the available functions in Part Design workbench are discussed.

Reference Elements

The reference elements are:

PD Point.jpgPoint, PD Line.jpgLine, PD Plane.JPGPlane

Sketch-Based Feautures

First, functions that are Sketch-Based. These functions need a sketch to create the desired feautre.

PD Pad.jpgPad, PD Pocket.jpgPocket, PD Shaft.JPGShaft, PD Groove.JPGGroove, PD Rib.JPGRib, PD Slot.JPGSlot, PD Hole.JPGHole

Dress-Up Features

Then, dress-up functions which add to or remove from existing features. These are:

PD EFillet.jpgEdge Fillet, PD VRFillet.jpgVariable Radius Fillet,PD CFillet.jpgChordal Fillet, PD FFFillet.jpgFace-Face Fillet, PD TFillet.JPGTritangent Fillet, PD Chamfer.JPGChamfer, PD DraftAngle.JPGDraft Angle, PD DraftReflectLine.JPGDraft Reflect Line, PD VAngleDraft.JPGVariable Angle Draft, PD Shell.JPGShell, PD Thickness.JPGThickness, PD Thread.JPGThread/Tap, PD RemoveFace.JPGRemove Face, PD ReplaceFace.JPGReplace Face

Transformation Features

These functions transforme existing features. These are:

PD Translation.jpgTranslation, PD Rotation.jpgRotation, PD Symmetry.jpgSymmetry, PD AxisToAxis.jpgAxis To Axis, PD Mirror.jpgMirror, PD RPattern.jpgRectangular Pattern, PD CPattern.jpgCircular Pattern, PD UPattern.jpgUser Pattern, PD Scaling.jpgScaling, PD Affinity.jpgAffinity

Surface-Based Features

In the creation of these features, surfaces are used. They are:

PD Split.jpgSplit, PD ThickSurface.jpgThick Surface, PD CloseSurface.jpgClose Surface, PD SewSurface.jpgSew Surface

Projects

Disc Spring

Visual Basic Script

In a PartDocument class, the geometry is acheived within Part property.

Dim catPART as Part
Set catPART = catDOC.Part

A Part contains a collection of Bodies. Users can add a Body to this collection with Add method or get an existing Body with Item.

Dim catBDS as Bodies
Set catBDS = catPART.Bodies
Dim paBD as Body
Set paBD = catBDS.Item(1)

A Body is an object containing shapes, sketches, hybridbodies and hybridshapes. Those elements are available via Shapes, Sketches, HybridBodies and HybridShapes properties of a Body object.

The feautures created in Part Design workbench are available as Shapes.

Dim pad1 As Pad
Set pad1 = paBD.Shapes.Item("Pad.1")

or if Pad.1 is the first item of paBD, we can use:

Dim pad1 As Pad
Set pad1 = paBD.Shapes.Item(1)

The ShapeFactory class, is where solid features are created. It is declared in Part class as below.

Part.ShapeFactory as Factory

Dim SF As factory
Set SF = catPART.ShapeFactory
Personal tools
Namespaces

Variants
Actions
Navigation
Toolbox
Donate
Ads by Google